<section class="tab-log-activity">
  <div
    [ngClass]="[
      jds.d('flex'),
      jds.alignItems('end'),
      jds.justifyContent('between'),
      jds.mb(20),
      jds.borderBottom(2)
    ]"
    [style.borderColor]="'#9e9e9e !important'"
  >
    <ul
      #nav="jdsBiNav"
      [(activeId)]="filter.status"
      [colorScheme]="colorScheme"
      [ngClass]="[jds.alignItems('center'), jds.mb(-2)]"
      jdsBiNav
      variant="ghost"
    >
      <li [jdsBiNavItem]="'login'">
        <a
          (click)="filterStatus('login')"
          jdsBiNavLink
        >
          Login
        </a>
      </li>
      <li [jdsBiNavItem]="'page'">
        <a
          (click)="filterStatus('page')"
          jdsBiNavLink
        >
          Halaman
        </a>
      </li>
      <li [jdsBiNavItem]="'view'">
        <a
          (click)="filterStatus('view')"
          jdsBiNavLink
        >
          Dilihat
        </a>
      </li>
      <li [jdsBiNavItem]="'access'">
        <a
          (click)="filterStatus('access')"
          jdsBiNavLink
        >
          Diunduh
        </a>
      </li>
    </ul>
    <div
      [ngClass]="[jds.d('flex'), jds.py(8)]"
      [style.gap.px]="8"
    >
      <div
        jdsBiInputGroup
        variant="element"
        size="sm"
      >
        <jds-bi-input-left-element>
          <jds-bi-icon
            [size]="12"
            name="magnifying-glass"
          />
        </jds-bi-input-left-element>
        <input
          #search
          [ngClass]="[jds.h('auto'), jds.ps(34)]"
          [value]="filter.search"
          [colorScheme]="colorScheme"
          (keyup.enter)="filterSearch(search.value)"
          jdsBiInput
          type="text"
          placeholder="Cari data"
          size="sm"
        />
      </div>
      <button
        [ngClass]="[
          'jds-bi-button',
          jds.button,
          jds.buttonPrimary,
          jds.buttonSm,
          jds.d('flex')
        ]"
        (click)="onDownload()"
        type="button"
      >
        <jds-bi-icon
          [size]="12"
          name="download"
        />
      </button>
    </div>
  </div>

  <ng-container *ngIf="filter.status !== 'login' && filter.status !== 'page'">
    <div [ngClass]="[jds.card, jds.mb(20)]">
      <div [ngClass]="[jds.cardBody, jds.py(16)]">
        <button
          [ngClass]="[jds.button, jds.buttonStatus, jds.me(8)]"
          [class.active]="filter.data === 'dataset'"
          (click)="filterData('dataset')"
          type="button"
        >
          Dataset
        </button>
        <button
          [ngClass]="[jds.button, jds.buttonStatus, jds.me(8)]"
          [class.active]="filter.data === 'indicator'"
          (click)="filterData('indicator')"
          type="button"
        >
          Indikator
        </button>
        <button
          [ngClass]="[jds.button, jds.buttonStatus, jds.me(8)]"
          [class.active]="filter.data === 'visualization'"
          (click)="filterData('visualization')"
          type="button"
        >
          Visualisasi
        </button>
      </div>
    </div>
  </ng-container>
</section>

<!-- Modal Download -->
<app-modal
  id="modal-download"
  #modal
  [isClose]="false"
  position="center"
>
  <ng-container ngProjectAs="body">
    <div [ngClass]="[jds.mt(10), jds.mb(10)]">
      <h6>Unduh File Excel</h6>
      <div [ngClass]="[jds.d('flex'), jds.mb(8)]">
        Proses pengaksesan data
        <span [ngClass]="jds.ms('auto')">{{ downloadProgress }}%</span>
      </div>
      <div [ngClass]="jds.progress">
        <div
          [ngClass]="[
            jds.progressBar,
            jds.progressBarStriped,
            jds.progressBarAnimated,
            jds.bg('success')
          ]"
          [style.width.%]="downloadProgress"
          role="progressbar"
          aria-label="Unduh File Excel"
        ></div>
      </div>
    </div>
  </ng-container>
</app-modal>
